import request from '@/apps/mobile/utils/request'

// 申述管理 分页查询
export function queryPage(data) {
    return request({
        method: 'post',
        url: '/api/liftCaseAppeals/query-page',
        data,
    });
}

//  新增
export function addData(data) {
    return request({
        method: 'post',
        url: '/api/liftCaseAppeals/insert',
        data,
    });
}

// 删除
export function removeData(data) {
    return request({
        method: 'delete',
        url: '/api/liftCaseAppeals/delete-batch',
        data,
    });
}

// 编辑
export function editData(data) {
    return request({
        method: 'put',
        url: '/api/liftCaseAppeals/update',
        data,
    });
}

// 驳回
export function cancel(data) {
    return request({
        method: 'post',
        url: '/api/liftCaseAppeals/cancel',
        data,
    });
}

// 退款 
export function refund(data) {
    return request({
        method: 'post',
        url: `/api/liftCaseAppeals/refund`,
        data
    });
}